org.eclipse.rdf4j.spin

## Enum ConstraintViolationLevel

- java.lang.Object
- - java.lang.Enum<ConstraintViolationLevel>
  - - org.eclipse.rdf4j.spin.ConstraintViolationLevel

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintViolationLevel>

      public enum ConstraintViolationLevel
      extends Enum<ConstraintViolationLevel>

  Enum of possible SPIN constraint violation levels.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `FATAL`
    `INFO`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintViolationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintViolationLevel` | `valueOf(URI levelValue)`
    `static ConstraintViolationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFO

          public static final ConstraintViolationLevel INFO

    - #### WARNING

          public static final ConstraintViolationLevel WARNING

    - #### ERROR

          public static final ConstraintViolationLevel ERROR

    - #### FATAL

          public static final ConstraintViolationLevel FATAL

  - ### Method Detail

    - #### values

          public static ConstraintViolationLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintViolationLevel c : ConstraintViolationLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintViolationLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          public static ConstraintViolationLevel valueOf(URI levelValue)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.